### Class

# Foundry FlatpakSourceScript

#### Description

    final class Foundry.FlatpakSourceScript : Foundry.FlatpakSource
      implements Json.Serializable {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryFlatpakSource
- FoundryFlatpakSerializable
- GObject

#### Implements

- JsonSerializable

#### Instance methods

##### Methods inherited from FoundryFlatpakSource (6)

###### foundry_flatpak_source_dup_dest

No description available.

###### foundry_flatpak_source_dup_only_arches

No description available.

###### foundry_flatpak_source_dup_skip_arches

No description available.

###### foundry_flatpak_source_set_dest

No description available.

###### foundry_flatpak_source_set_only_arches

No description available.

###### foundry_flatpak_source_set_skip_arches

No description available.

##### Methods inherited from FoundryFlatpakSerializable (3)

###### foundry_flatpak_serializable_dup_x_string

No description available.

###### foundry_flatpak_serializable_dup_x_strv

No description available.

###### foundry_flatpak_serializable_resolve_file

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from JsonSerializable (8)

###### json_serializable_default_deserialize_property

Calls the default implementation of the `Json.SerializableIface.deserialize_property` virtual function.

###### json_serializable_default_serialize_property

Calls the default implementation of the `Json.SerializableIface.serialize_property` virtual function.

###### json_serializable_deserialize_property

Asks a `JsonSerializable` implementation to deserialize the property contained inside `property_node` and place its value into `value`.

###### json_serializable_find_property

Calls the `Json.SerializableIface.find_property` implementation on the `JsonSerializable` instance, which will return the property description for the given name.

###### json_serializable_get_property

Calls the `Json.SerializableIface.get_property` implementation on the `JsonSerializable` instance, which will get the value of the given property.

###### json_serializable_list_properties

Calls the `Json.SerializableIface.list_properties` implementation on the `JsonSerializable` instance, which will return the list of serializable properties.

###### json_serializable_serialize_property

Asks a `JsonSerializable` implementation to serialize an object property into a JSON node.

###### json_serializable_set_property

Calls the `Json.SerializableIface.set_property` implementation on the `JsonSerializable` instance, which will set the property with the given value.

#### Properties

###### Foundry.FlatpakSourceScript:commands

No description available.

###### Foundry.FlatpakSourceScript:dest-filename

No description available.

##### Properties inherited from FoundryFlatpakSource (3)

###### Foundry.FlatpakSource:dest

No description available.

###### Foundry.FlatpakSource:only-arches

No description available.

###### Foundry.FlatpakSource:skip-arches

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryFlatpakSourceScriptClass {
      FoundryFlatpakSourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryFlatpakSourceClass`

  No description available.